/* EatLeadWS.idc
 * 
 * Permission to modify and use this code in your own programs is
 * hereby granted provided under the following terms:
 * 1) This notice and all credits, licenses, and mindless blather remain intact.
 * 2) If this is used for professional purposes, the author will be notified as
 *    a courtesy. (ok, I'm curious)
 * 3) Bugfixes and changes to the code or documentaion are freely given back to
 *    the author so they may be shared with everyone.
 * 4) This won't be used to make IDA Pro do evil things.
 *
 * Copyright (c) 2003 Jason Weiler.
 */

#ifndef _EATLEADWS_IDC_ 
#define _EATLEADWS_IDC_

#include <idcrt\lib\isspace.idc>

 
 /* arg: str - input string
 * returns the input string with all leading white space removed
 */
static EatLeadWS(str)
{
	auto len, i;
	
	len = strlen(str);
	
	while (i+1 < len)
	{
		if (0 == isspace(str, i))
		{
			return substr(str, i, -1);
		}
		
		i = i + 1;
	}
	
	return "";
}

#endif