/* spawn.idc
 * 
 * Permission to modify and use this code in your own programs is
 * hereby granted provided under the following terms:
 * 1) This notice and all credits, licenses, and mindless blather remain intact.
 * 2) If this is used for professional purposes, the author will be notified as
 *    a courtesy. (ok, I'm curious)
 * 3) Bugfixes and changes to the code or documentaion are freely given back to
 *    the author so they may be shared with everyone.
 * 4) This won't be used to make IDA Pro do evil things.
 *
 * Copyright (c) 2003 Jason Weiler.
 */

#ifndef _SPAWN_IDC_
#define _SPAWN_IDC_

/* this function only really exists for symmetry */
/* args: cmdLine - input string representing a command that should be synchronously executed.
 * returns: the OS-returned result from the command line executed
 */
static spawn( cmdLine )
{
	return Exec(cmdLine);
}

#endif

