/* stdlib.idc
 * 
 * Contains functions that mimic the C-Runtime stdlib
 *
 * Permission to modify and use this code in your own programs is
 * hereby granted provided under the following terms:
 * 1) This notice and all credits, licenses, and mindless blather remain intact.
 * 2) If this is used for professional purposes, the author will be notified as
 *    a courtesy. (ok, I'm curious)
 * 3) Bugfixes and changes to the code or documentaion are freely given back to
 *    the author so they may be shared with everyone.
 * 4) This won't be used to make IDA Pro do evil things.
 *
 * Copyright (c) 2003 Jason Weiler.
 */

#ifndef _STDLIB_IDC_
#define _STDLIB_IDC_

#include <idcrt\lib\makepath.idc>
#include <idcrt\lib\makepathv.idc>
#include <idcrt\lib\splitpathv.idc>
#include <idcrt\lib\toupper.idc>
#include <idcrt\lib\tolower.idc>
#include <idcrt\lib\strupr.idc>
#include <idcrt\lib\strlwr.idc>
#include <idcrt\lib\strtitle.idc>
#include <idcrt\lib\ishexstr.idc>
#include <idcrt\lib\abs.idc>

#endif

