/* string.idc
 * 
 * Contains functions that mimic the C-Runtime string manipulation rountines
 *
 * Permission to modify and use this code in your own programs is
 * hereby granted provided under the following terms:
 * 1) This notice and all credits, licenses, and mindless blather remain intact.
 * 2) If this is used for professional purposes, the author will be notified as
 *    a courtesy. (ok, I'm curious)
 * 3) Bugfixes and changes to the code or documentaion are freely given back to
 *    the author so they may be shared with everyone.
 * 4) This won't be used to make IDA Pro do evil things.
 *
 * Copyright (c) 2003 Jason Weiler.
 */

#ifndef _STRING_IDC_
#define _STRING_IDC_

#include <idcrt\lib\strrstr.idc>
#include <idcrt\lib\strcmp.idc>
#include <idcrt\lib\stricmp.idc>
#include <idcrt\lib\strncmp.idc>
#include <idcrt\lib\strnicmp.idc>

#include <idcrt\lib\splitstring.idc>
#include <idcrt\lib\compactstrarray.idc>

#endif

