/* ctype.idc
 * 
 * Contains functions that mimic the C-Runtime ctype rountines
 *
 * Permission to modify and use this code in your own programs is
 * hereby granted provided under the following terms:
 * 1) This notice and all credits, licenses, and mindless blather remain intact.
 * 2) If this is used for professional purposes, the author will be notified as
 *    a courtesy. (ok, I'm curious)
 * 3) Bugfixes and changes to the code or documentaion are freely given back to
 *    the author so they may be shared with everyone.
 * 4) This won't be used to make IDA Pro do evil things.
 *
 * Copyright (c) 2003 Jason Weiler
 */

#ifndef _CTYPE_IDC_
#define _CTYPE_IDC_

#include <idcrt\lib\isspace.idc>
#include <idcrt\lib\isxdigit.idc>
#include <idcrt\lib\isdigit.idc>
#include <idcrt\lib\isalpha.idc>
#include <idcrt\lib\isalnum.idc>
#include <idcrt\lib\iscsym.idc>
#include <idcrt\lib\iscsymf.idc>
#include <idcrt\lib\isupper.idc>
#include <idcrt\lib\islower.idc>

#endif

