/* EatTailWS.idc
 * 
 * Permission to modify and use this code in your own programs is
 * hereby granted provided under the following terms:
 * 1) This notice and all credits, licenses, and mindless blather remain intact.
 * 2) If this is used for professional purposes, the author will be notified as
 *    a courtesy. (ok, I'm curious)
 * 3) Bugfixes and changes to the code or documentaion are freely given back to
 *    the author so they may be shared with everyone.
 * 4) This won't be used to make IDA Pro do evil things.
 *
 * Copyright (c) 2003 Jason Weiler.
 */

#ifndef _EATTAILWS_IDC_ 
#define _EATTAILWS_IDC_

#include <idcrt\lib\isspace.idc>


/* arg: str - input string
 * returns: input string with all trailing white space removed
 */
static EatTailWS(str)
{
	auto len;
	
	len = strlen(str);
	
	while (len > 0)
	{
		if (0 == isspace(str, len-1))
		{
			return substr(str, 0, len);
		}
		
		len = len - 1;
	}
	
	return "";

}

#endif