/* strlwr.idc
 * 
 * Permission to modify and use this code in your own programs is
 * hereby granted provided under the following terms:
 * 1) This notice and all credits, licenses, and mindless blather remain intact.
 * 2) If this is used for professional purposes, the author will be notified as
 *    a courtesy. (ok, I'm curious)
 * 3) Bugfixes and changes to the code or documentaion are freely given back to
 *    the author so they may be shared with everyone.
 * 4) This won't be used to make IDA Pro do evil things.
 *
 * Copyright (c) 2003 Jason Weiler.
 */

#ifndef _STRLWR_IDC_
#define _STRLWR_IDC_

/* args: str - input string to be made completely lower case
 * returns: the lower-case version of the input string
 */
static strlwr(str)
{
	auto chr;
	auto idx;
	auto pos;
	auto len;
	auto outStr;
	
	outStr = "";
	
	len = strlen(str);
	pos = 0;
	
	while(pos  < len)
	{
		chr = substr(str, pos, pos+1);
	
		/* convert to an ascii index */
		idx = strstr("ABCDEFGHIJKLMNOPQRSTUVWXYZ", chr);
	
		if (idx != -1)
		{
			chr = substr("abcdefghijklmnopqrstuvwxyz", idx, idx+1);
		}

		/* add the converted character on to the output string */		
		outStr = outStr + chr;

		pos = pos + 1;
	}
	
	return outStr;
}

#endif
