/* tolower.idc
 * 
 * Permission to modify and use this code in your own programs is
 * hereby granted provided under the following terms:
 * 1) This notice and all credits, licenses, and mindless blather remain intact.
 * 2) If this is used for professional purposes, the author will be notified as
 *    a courtesy. (ok, I'm curious)
 * 3) Bugfixes and changes to the code or documentaion are freely given back to
 *    the author so they may be shared with everyone.
 * 4) This won't be used to make IDA Pro do evil things.
 *
 * Copyright (c) 2003 Jason Weiler.
 */

#ifndef _TOLOWER_IDC_
#define _TOLOWER_IDC_

/* args: str - input string
 *		 idx - index into str of the character to be made lower case.
 * returns: the lower-case version of the input character
 */
static tolower(str, idx)
{
	auto chr;
	
	chr = substr(str, idx, idx+1);
	if (chr == "")
	{
		return -1;
	}
	
	/* convert to an ascii value */
	idx = strstr("ABCDEFGHIJKLMNOPQRSTUVWXYZ", chr);
	
	if (idx != -1)
	{
		chr = substr("abcdefghijklmnopqrstuvwxyz", idx, idx+1);
	}

	return chr;	
}


#endif
