/* whitespace.idc
 * 
 * Contains functions that deal with the parsing and detection of
 * whitespace characters and strings.
 *
 * Permission to modify and use this code in your own programs is
 * hereby granted provided under the following terms:
 * 1) This notice and all credits, licenses, and mindless blather remain intact.
 * 2) If this is used for professional purposes, the author will be notified as
 *    a courtesy. (ok, I'm curious)
 * 3) Bugfixes and changes to the code or documentaion are freely given back to
 *    the author so they may be shared with everyone.
 * 4) This won't be used to make IDA Pro do evil things.
 *
 * Copyright (c) 2003 Jason Weiler.
 */

#ifndef _WHITESPACE_IDC_
#define _WHITESPACE_IDC_

#include <idcrt\lib\EatLeadWS.idc>
#include <idcrt\lib\EatTailWS.idc>
#include <idcrt\lib\FindNextWS.idc>
#include <idcrt\lib\ParseWS.idc>

#endif